<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.10
Name: Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237">
   <title>Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.10
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]]
Item: (Section)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.10
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]
Item: (Section)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]"
         id="d42e220-false-d5047e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="string(@classCode) = ('ACT')">(Section): de waarde van classCode MOET 'ACT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="string(@moodCode) = ('EVN')">(Section): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="not(.//hl7:value[@code='201000146100'][@codeSystem='2.16.840.1.113883.6.96']) or .//hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']">(Section): Als er sectie/autopsie is verricht dan moeten er ook onderzoekingen zijn</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="not(.//hl7:value[@code='211000146103'][@codeSystem='2.16.840.1.113883.6.96']) or .//hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']">(Section): Als er nog sectie/autopsie wordt verricht dan bij voorkeur de onderzoekingen vermelden</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="not(.//hl7:value[@code='191000146102'][@codeSystem='2.16.840.1.113883.6.96'] and .//hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11'])">(Section): Als er geen sectie/autopsie plaatsvindt dan ook geen onderzoekingen vermelden</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']) &gt;= 1">(Section): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']) &lt;= 1">(Section): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="count(hl7:code[(@code = '29240004' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]) &gt;= 1">(Section): element hl7:code[(@code = '29240004' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="count(hl7:code[(@code = '29240004' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]) &lt;= 1">(Section): element hl7:code[(@code = '29240004' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.49']]]) &gt;= 1">(Section): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.49']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.49']]]) &lt;= 1">(Section): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.49']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.11']]]) &lt;= 1">(Section): element hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.11']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.10
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']
Item: (Section)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']"
         id="d42e236-false-d5101e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Section): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.104.10.10')">(Section): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.10' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.10
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]/hl7:code[(@code = '29240004' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]
Item: (Section)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]/hl7:code[(@code = '29240004' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]"
         id="d42e241-false-d5116e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(Section): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="@nullFlavor or (@code='29240004' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Autopsy examination')">(Section): de elementwaarde MOET een zijn van 'code '29240004' codeSystem '2.16.840.1.113883.6.96' displayName='Autopsy examination''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.10
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.49']]]
Item: (Section)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.49']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="string(@typeCode) = ('COMP')">(Section): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.10
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.11']]]
Item: (Section)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.10']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.11']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.10-2014-03-03T173237.html"
              test="string(@typeCode) = ('COMP')">(Section): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
