<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.55
Name: Age mother
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000">
   <title>Age mother</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.55
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]
Item: (AgeMother)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.55
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]
Item: (AgeMother)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]"
         id="d42e5209-false-d16478e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="string(@classCode) = ('OBS')">(AgeMother): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="string(@moodCode) = ('EVN')">(AgeMother): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']) &gt;= 1">(AgeMother): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']) &lt;= 1">(AgeMother): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="count(hl7:code[(@code = '424144002' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(AgeMother): element hl7:code[(@code = '424144002' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="count(hl7:code[(@code = '424144002' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(AgeMother): element hl7:code[(@code = '424144002' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(AgeMother): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(AgeMother): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="count(hl7:subject[hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]]) &gt;= 1">(AgeMother): element hl7:subject[hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="count(hl7:subject[hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]]) &lt;= 1">(AgeMother): element hl7:subject[hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.55
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']
Item: (AgeMother)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']"
         id="d42e5215-false-d16532e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AgeMother): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.104.10.55')">(AgeMother): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.55' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.55
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]/hl7:code[(@code = '424144002' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (AgeMother)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]/hl7:code[(@code = '424144002' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e5220-false-d16547e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(AgeMother): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="@nullFlavor or (@code='424144002' and @codeSystem='2.16.840.1.113883.6.96')">(AgeMother): de elementwaarde MOET een zijn van 'code '424144002' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="@displayName">(AgeMother): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.55
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]/hl7:value[not(@nullFlavor)]
Item: (AgeMother)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]/hl7:value[not(@nullFlavor)]"
         id="d42e5231-false-d16566e0">
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_PQ')">(AgeMother): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_PQ" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(AgeMother): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(AgeMother): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(AgeMother): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.55-2023-10-18T000000.html"
              test="exactly-one(.[@value][@unit = 'a'] | .[hl7:center[@value][@unit = 'a']] | .[hl7:low[@value][@unit = 'a']][hl7:high[@value][@unit = 'a']])">(AgeMother): Leeftijd moeder moet exact (@value + @unit='a') of geschat (center @value + @unit='a') of geschat bereik (low en high @value + @unit='a') zijn. Combinaties zijn niet mogelijk.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.55
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]/hl7:subject[hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]]
Item: (AgeMother)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.46
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]/hl7:subject[hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]]
Item: (BodySubjectMother)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.46
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]/hl7:subject[hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]]/hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]
Item: (BodySubjectMother)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]/hl7:subject[hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]]/hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.46-2014-03-04T205827.html"
              test="string(@classCode) = ('PRS')">(BodySubjectMother): de waarde van classCode MOET 'PRS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.46-2014-03-04T205827.html"
              test="count(hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]) &gt;= 1">(BodySubjectMother): element hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.46-2014-03-04T205827.html"
              test="count(hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]) &lt;= 1">(BodySubjectMother): element hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.46
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]/hl7:subject[hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]]/hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]/hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]
Item: (BodySubjectMother)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.55']]/hl7:subject[hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]]/hl7:relatedSubject[hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]]/hl7:code[(@code = 'MTH' and @codeSystem = '2.16.840.1.113883.5.111')]">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.46-2014-03-04T205827.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(BodySubjectMother): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.46-2014-03-04T205827.html"
              test="@nullFlavor or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111' and @displayName='Mother')">(BodySubjectMother): de elementwaarde MOET een zijn van 'code 'MTH' codeSystem '2.16.840.1.113883.5.111' displayName='Mother''.</assert>
   </rule>
</pattern>
